<!DOCTYPE html>
<html lang="en">
    <head>
        <title>{{ $invoice->name }}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

        <link rel="stylesheet" href="{{ asset('/vendor/invoices/bootstrap.min.css') }}">

            <style type="text/css" media="screen">
                                                 html {
                                                     font-family: sans-serif;
                                                     line-height: 1.15;
                                                     margin: 0;
                                                 }
            body {
                font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
                font-weight: 400;
                line-height: 1.5;
                color: #212529;
                text-align: left;
                background-color: #fff;
                font-size: 10px;
                margin: 36pt;
            }
            h4 {
                margin-top: 0;
                margin-bottom: 0.5rem;
            }
            p {
                margin-top: 0;
                margin-bottom: 1rem;
            }
            strong {
                font-weight: bolder;
            }
            img {
                vertical-align: middle;
                border-style: none;
            }
            table {
                border-collapse: collapse;
            }
            th {
                text-align: inherit;
            }
            h4, .h4 {
                margin-bottom: 0.5rem;
                font-weight: 500;
                line-height: 1.2;
            }
            h4, .h4 {
                font-size: 1.5rem;
            }
            .table {
                width: 100%;
                margin-bottom: 1rem;
                color: #212529;
            }
            .table th,
            .table td {
                padding: 0.75rem;
                vertical-align: top;
                border-top: 1px solid #dee2e6;
            }
            .table thead th {
                vertical-align: bottom;
                border-bottom: 2px solid #dee2e6;
            }
            .table tbody + tbody {
                border-top: 2px solid #dee2e6;
            }
            .mt-5 {
                margin-top: 3rem !important;
            }
            .pr-0,
            .px-0 {
                padding-right: 0 !important;
            }
            .pl-0,
            .px-0 {
                padding-left: 0 !important;
            }
            .text-right {
                text-align: right !important;
            }
            .text-center {
                text-align: center !important;
            }
            .text-uppercase {
                text-transform: uppercase !important;
            }
            * {
                font-family: "DejaVu Sans";
            }
            body, h1, h2, h3, h4, h5, h6, table, th, tr, td, p, div {
                line-height: 1.1;
            }
            .party-header {
                font-size: 1.5rem;
                font-weight: 400;
            }
            .total-amount {
                font-size: 12px;
                font-weight: 700;
            }
            .border-0 {
                border: none !important;
            }
        </style>
    </head>

    <body>
        {{-- Header --}}

        @if($invoice->logo)
            <img src="{{ $invoice->getLogo() }}" alt="logo" height="100">
        @endif

        <table class="table mt-5" width="100%">
            <tbody>
                <tr>
                    <td class="border-0 pl-0" width="70%">
                        <h4 class="text-uppercase text-primary">
                            <strong>{{ $invoice->name }}</strong>
                        </h4>
                        <p>Invoice No: <strong>{{ $invoice->getSerialNumber() }}</strong><br>
                        {{ __('invoices::invoice.date') }}: <strong>{{ $invoice->getDate() }}</strong> </p>
                    </td>
                    <td class="border-0 pl-0 text-right" width="30%">
                      @if($invoice->seller->name)

                              <strong class="text-primary font-medium-2">{{ $invoice->seller->name }}</strong> <br>

                      @endif

                      @if($invoice->seller->address)

                             {{ $invoice->seller->address }}<br>

                      @endif

                      @if($invoice->seller->code)

                             {{ $invoice->seller->code }}<br>

                      @endif

                      @if($invoice->seller->vat)

                           {{ $invoice->seller->vat }}<br>

                      @endif

                      @if($invoice->seller->phone)

                               {{ $invoice->seller->phone }}<br>

                      @endif

                      @foreach($invoice->seller->custom_fields as $key => $value)

                              {{ ucfirst($key) }}: {{ $value }}<br>

                      @endforeach

                    </td>
                </tr>
            </tbody>
        </table>

        {{-- Seller - Buyer --}}
        <table class="table">

            <tbody>
                <tr>
                    <td class="px-0">
                      @if($invoice->buyer->name)

                              <strong>{{ $invoice->buyer->name }}</strong> <br>

                      @endif

                      @if($invoice->buyer->address)

                              {{ __('invoices::invoice.address') }}: {!! $invoice->buyer->address !!}<br>

                      @endif

                      @if($invoice->buyer->code)

                              {{ __('invoices::invoice.code') }}: {{ $invoice->buyer->code }}<br>

                      @endif

                      @if($invoice->buyer->vat)

                              {{ __('invoices::invoice.vat') }}: {{ $invoice->buyer->vat }}<br>

                      @endif

                      @if($invoice->buyer->phone)

                              {{ __('invoices::invoice.phone') }}: {{ $invoice->buyer->phone }}<br>

                      @endif

                      @foreach($invoice->buyer->custom_fields as $key => $value)

                              {{ ucfirst($key) }}: {{ $value }}<br>

                      @endforeach


                    </td>

                    <td class="px-0">

                    </td>
                </tr>
            </tbody>
        </table>

        {{-- Table --}}
        <table class="table" width="100%">
            <thead style="background: #3398ff; color: #fff;">
                <tr>
                    <th scope="col" class="border-0 pl-0">{{ __('invoices::invoice.description') }}</th>
                    @if($invoice->hasItemUnits)
                        <th scope="col" class="text-center border-0">{{ __('invoices::invoice.units') }}</th>
                    @endif
                    <th scope="col" class="text-center border-0">{{ __('invoices::invoice.quantity') }}</th>
                    <th scope="col" class="text-right border-0">{{ __('invoices::invoice.price') }}</th>
                    @if($invoice->hasItemDiscount)
                        <th scope="col" class="text-right border-0">{{ __('invoices::invoice.discount') }}</th>
                    @endif
                    @if($invoice->hasItemTax)
                        <th scope="col" class="text-right border-0">{{ __('invoices::invoice.tax') }}</th>
                    @endif
                    <th scope="col" class="text-right border-0 pr-0">{{ __('invoices::invoice.sub_total') }} (inc {{ $site_tax['name']}})</th>
                </tr>
            </thead>
            <tbody>
                {{-- Items --}}
                @foreach($invoice->items as $item)
                <tr>
                    <td class="pl-0">{{ $item->title }}</td>
                    @if($invoice->hasItemUnits)
                        <td class="text-center">{{ $item->units }}</td>
                    @endif
                    <td align="center">{{ $item->quantity }}</td>
                    <td align="right">
                        {{ $invoice->formatCurrency($item->price_per_unit) }}
                    </td>
                    @if($invoice->hasItemDiscount)
                        <td class="text-right">
                            {{ $invoice->formatCurrency($item->discount) }}
                        </td>
                    @endif
                    @if($invoice->hasItemTax)
                        <td class="text-right">
                            {{ $invoice->formatCurrency($item->tax) }}
                        </td>
                    @endif
                    <td class="text-right pr-0">
                        {{ $invoice->formatCurrency($item->sub_total_price) }}
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <p>&nbsp;</p>
        <div style="float: right; margin-right: 10px">
            <table>
                <tbody>
                {{-- Summary --}}
                @if($invoice->hasItemOrInvoiceDiscount())
                    <tr>
                        <td colspan="{{ $invoice->table_columns - 2 }}" >&nbsp;</td>
                        <td class="text-right pl-0">{{ __('invoices::invoice.total_discount') }}</td>
                        <td class="text-right pr-0">
                            {{ $invoice->formatCurrency($invoice->total_discount) }}
                        </td>
                    </tr>
                @endif

                @if($invoice->hasItemOrInvoiceTax())
                    <tr>
                        <td colspan="{{ $invoice->table_columns - 2 }}"></td>
                        <td class="text-right pl-0">Total {{ $site_tax['name']}}</td>
                        <td class="text-right pr-0">
                            {{ calculateTaxAmountForInclusivePrice($invoice->taxable_amount, $site_tax) }}
                        </td>
                    </tr>
                @endif
                @if($invoice->shipping_amount)
                    <tr>
                        <td colspan="{{ $invoice->table_columns - 2 }}" ></td>
                        <td class="text-right pl-0">{{ __('invoices::invoice.shipping') }}</td>
                        <td class="text-right pr-0">
                            {{ $invoice->formatCurrency($invoice->shipping_amount) }}
                        </td>
                    </tr>
                @endif
                <tr>
                    <td colspan="{{ $invoice->table_columns - 2 }}" ></td>
                    <td class="text-right pl-0">Total Amount Paid (inc {{ $site_tax['name']}})</td>
                    <td class="text-right pr-0 total-amount">
                        {{ $invoice->formatCurrency($invoice->taxable_amount) }}
                    </td>
                </tr>
                <tr>
                    <td colspan="{{ $invoice->table_columns - 2 }}" ></td>
                    <td class="text-right pl-0">{{ __('invoices::invoice.total_due') }}</td>
                    <td class="text-right pr-0 total-amount">
                        {{$site_tax['currency_symbol']}}0.00
                    </td>
                </tr>
                </tbody>
            </table>
        </div>



        @if($invoice->notes)
            <p>
                {{ trans('invoices::invoice.notes') }}: {!! $invoice->notes !!}
            </p>
        @endif



        <script type="text/php">
            if (isset($pdf) && $PAGE_COUNT > 1) {
                $text = "Page {PAGE_NUM} / {PAGE_COUNT}";
                $size = 10;
                $font = $fontMetrics->getFont("Verdana");
                $width = $fontMetrics->get_text_width($text, $font, $size) / 2;
                $x = ($pdf->get_width() - $width);
                $y = $pdf->get_height() - 35;
                $pdf->page_text($x, $y, $text, $font, $size);
            }
        </script>
    </body>
</html>
